Debian Bug report logs - #530973
dpkg-cross: bashism in /bin/sh script

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Fri, 29 May 2009 04:21:14 UTC

Severity: minor

Found in version dpkg-cross/2.5.0

Fixed in version dpkg-cross/2.5.2

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#530973; Package dpkg-cross. (Fri, 29 May 2009 04:21:17 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: dpkg-cross: bashism in /bin/sh script
Date: Thu, 28 May 2009 23:19:06 -0500
Package: dpkg-cross
Severity: minor
Version: 2.5.0
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./usr/share/bug/dpkg-cross/script line 5 ($"foo" should
> be eval_gettext "foo"):
>	  YESNO=$"yYnN"


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there was
a release goal for Lenny to make dash the default /bin/sh[1], and has been
proposed for squeeze as well[2].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information supporting this goal please refer to Debian Policy,
section 10.4, at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

[1]http://release.debian.org/lenny/goals.txt
[2]http://lists.debian.org/debian-release/2009/04/msg00133.html

Thank you,
Raphael Geissert




Tags added: pending Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Mon, 01 Jun 2009 14:06:10 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Mon, 01 Jun 2009 16:12:21 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Mon, 01 Jun 2009 16:12:23 GMT) Full text and rfc822 format available.

Message #10 received at 530973-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 530973-close@bugs.debian.org
Subject: Bug#530973: fixed in dpkg-cross 2.5.2
Date: Mon, 01 Jun 2009 16:04:39 +0000
Source: dpkg-cross
Source-Version: 2.5.2

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.5.2.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.5.2.dsc
dpkg-cross_2.5.2.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.5.2.tar.gz
dpkg-cross_2.5.2_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.5.2_all.deb
libdebian-dpkgcross-perl_2.5.2_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.5.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530973@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Jun 2009 16:16:11 +0100
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.5.2
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 528301 530973
Changes: 
 dpkg-cross (2.5.2) unstable; urgency=low
 .
   * Update Vcs-Browser URL for alioth changes. (Closes: #528301)
   * Use /bin/bash for reportbug support script. (Closes: #530973)
   * Drop unused %crossprefixtable.
Checksums-Sha1: 
 3da3fb49ad0ee8689733e5aaae526148a565ffa5 1208 dpkg-cross_2.5.2.dsc
 b484e554e8fbc109d61c0bb6c9cff6ecade9d6ec 69516 dpkg-cross_2.5.2.tar.gz
 4d588ea505b435587513568cc3484c061c058229 49972 dpkg-cross_2.5.2_all.deb
 b23c35a81b96b0de3ad3dafb343df34537225a66 28564 libdebian-dpkgcross-perl_2.5.2_all.deb
Checksums-Sha256: 
 7c929afed128dc06b131a1bd7892a2c9fadd922ebb9d18a7815b3a2b3850cf35 1208 dpkg-cross_2.5.2.dsc
 f4b10a119ecc2308b6fb28498b5e67f4a0956b4fe0dbe5aad66bca4cf83daf9b 69516 dpkg-cross_2.5.2.tar.gz
 b81440d336f4f46f7cece7e98314743d21918795655c238cd68327ce4852b1bb 49972 dpkg-cross_2.5.2_all.deb
 9e03ca6e50e40e22851c87e34e71249436902013e814c46145a5df713dc7f363 28564 libdebian-dpkgcross-perl_2.5.2_all.deb
Files: 
 3a0acd6d9af984a94b690def3b33f168 1208 utils extra dpkg-cross_2.5.2.dsc
 785a629d178575d2a125b75af1fefe03 69516 utils extra dpkg-cross_2.5.2.tar.gz
 a75a6ba45c5db53723ec185b9ae009ea 49972 utils extra dpkg-cross_2.5.2_all.deb
 8c3de214e28ea23605d7e5072fcce0c2 28564 perl extra libdebian-dpkgcross-perl_2.5.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoj8ZUACgkQiAEJSii8s+OTQwCfV5sgZbd2SZqd1xGcT1SnxWYq
fCcAoMDpmIM7vT89mJtKtszNBBBXs5cP
=JkzO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jul 2009 07:33:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:54:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.